Class | Haml::Buffer
In: | lib/haml/template/plugin.rb
Parent: | Object

### Methods

append_if_string=

### Public Instance methods

append_if_string=(value)

[Source]

        # File lib/haml/template/plugin.rb, line 62
    62:       def append_if_string=(value)
    63:         if value.is_a?(String) && !value.is_a?(ActionView::NonConcattingString)
    64:           ActiveSupport::Deprecation.warn("- style block helpers are deprecated. Please use =", caller)
    65:           buffer << value
    66:         end
    67:       end

[Validate]